Index: trunk/expressoMail1_2/setup/phpgw_es-es.lang
===================================================================
--- trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 90)
+++ trunk/expressoMail1_2/setup/phpgw_es-es.lang	(revision 90)
@@ -0,0 +1,273 @@
+My Folders	expressoMail1_2	es-es	Mis Carpetas
+No option marked!	expressoMail1_2	es-es	¡No fue marcada ninguna opción!
+No selected message.	expressoMail1_2	es-es	Ningún mensaje fue seleccionado
+messages found in folder:	expressoMail1_2	es-es	mensajes encontrados en la carpeta
+New Message	expressoMail1_2	es-es	Nuevo Mensaje
+No data to search	expressoMail1_2	es-es	Ningún dato digitado para búsqueda
+Call to Comercial Number	expressoMail1_2	es-es	Discar para Teléfono Comercial
+Not Spam	expressoMail1_2	es-es	No es spam
+Open chat window	expressoMail1_2	es-es	Abrir ventana de conversación
+justifyleft	expressoMail1_2	es-es	A la izquierda
+None	expressoMail1_2	es-es	Ninguno
+Your message has not been sent. Discard your message?	expressoMail1_2	es-es	Su mensaje no fue enviado. ¿Eliminar el mensaje?
+More	expressoMail1_2	es-es	Más
+More actions	expressoMail1_2	es-es	Más acciones
+Personal Catalog	expressoMail1_2	es-es	Catálogo Personal
+Message Header	expressoMail1_2	es-es	Cabezal del Mensaje
+messages	expressoMail1_2	es-es	mensajes
+Move	expressoMail1_2	es-es	Mover
+New	expressoMail1_2	es-es	Nuevo
+Save deleted messages in trash folder?	expressoMail1_2	es-es	¿Guardar mensajes eliminadas en la carpeta papelera?
+<b>Tip:</b> For faster save, click over the image with <u>right button</u>.	expressoMail1_2	es-es	<b>Tip:</b> Para guardar rápidamente, haga clic sobre la imagen con el <u>botón derecho</u> del mouse.
+More options	expressoMail1_2	es-es	Más opciones
+More than %1 results. Please, try to refine your search.	expressoMail1_2	es-es	Más que %1 resultados fueron encontrados. Trate de refinar su búsqueda
+Redo	expressoMail1_2	es-es	Rehacer
+Remove	expressoMail1_2	es-es	Remover
+Reply sent messages to	expressoMail1_2	es-es	Responder mensajes enviados para
+Organization	expressoMail1_2	es-es	Organización
+Read	expressoMail1_2	es-es	Lectura
+Error moving message.	expressoMail1_2	es-es	Error al mover el mensaje
+Reply to all without history	expressoMail1_2	es-es	Responder a todos sin detalles
+Reply to sender	expressoMail1_2	es-es	Responder al Remitente
+This message is already opened!	expressoMail1_2	es-es	¡Este mensaje ya está abierto!
+Reply	expressoMail1_2	es-es	Responder
+Reply to all	expressoMail1_2	es-es	Responder a todos
+Reply to all with history	expressoMail1_2	es-es	Responder a todos con detalles
+out office	expressoMail1_2	es-es	Fuera de la Oficina
+Over quota	expressoMail1_2	es-es	Cuota de espacio excedida
+without save	expressoMail1_2	es-es	sin archivar
+Open in New Window	expressoMail1_2	es-es	Abiri en Nueva Ventana
+Options	expressoMail1_2	es-es	Opciones
+Print	expressoMail1_2	es-es	Imprimir
+Hide options	expressoMail1_2	es-es	Ocultar opciones
+Public Lists	expressoMail1_2	es-es	Listas Públicas
+Padding Email List	expressoMail1_2	es-es	Altura de las líneas de la lista de mensajes
+Preferences	expressoMail1_2	es-es	Preferencias
+Previous	expressoMail1_2	es-es	Anterior
+Inform the days!	expressoMail1_2	es-es	¡Informe los días!
+Inform the forwarding e-mail(s)	expressoMail1_2	es-es	¡Informe e-mail(s) para reenvío!
+Delete	expressoMail1_2	es-es	Eliminar
+Inform a valid e-mail!	expressoMail1_2	es-es	¡Informe um e-mail válido!
+Inform between 1 and 31!	expressoMail1_2	es-es	¡Informe entre  y 31!
+italic	expressoMail1_2	es-es	Cursiva
+Folders	expressoMail1_2	es-es	Carpetas
+Its %1 folder is not created. It is necessary to create so that it functions correctly.	expressoMail1_2	es-es	Su carpeta \"%1\" no esta creada. Es necesario crearla para que funcione correctamente
+Inform your search in the text fields	expressoMail1_2	es-es	Informe las búsqyedas en las cajas de texto
+Insert signature	expressoMail1_2	es-es	Insertar firma
+It's not possible	expressoMail1_2	es-es	No es posible
+In all the folders	expressoMail1_2	es-es	En todas las carpetas
+in this message	expressoMail1_2	es-es	En el mensaje
+Next	expressoMail1_2	es-es	Próximo
+hlp_msg_sendlike_acl	expressoMail1_2	es-es	Otros usuarios podrán ENVIAR mensajes como siendo usted
+important	expressoMail1_2	es-es	importante
+There's an action processing. Do you want abort it?	expressoMail1_2	es-es	Existe una acción que todavia está siendo procesada. ¿Cancelar la acción?
+Inform a message	expressoMail1_2	es-es	¡Informe um mensaje!
+Inform a text for rejection!	expressoMail1_2	es-es	¡Informe un texto para rechazar!
+Return receipt	expressoMail1_2	es-es	Conf. De Lectura
+Inbox	expressoMail1_2	es-es	Bandeja de Entrada
+Inform a forwarding e-mail	expressoMail1_2	es-es	¡Informe un e-mail de reenvío!
+list of the filters	expressoMail1_2	es-es	Lista de filtros
+User didn't accepted you yet	instant_messenger	es-es	Todavia no te há aceptado
+Manager your folders and export messages	expressoMail1_2	es-es	Administre sus carpetas y exporte mensajes
+justifyright	expressoMail1_2	es-es	A la derecha
+List All	expressoMail1_2	es-es	Listar Todo
+List Catalog	expressoMail1_2	es-es	Listar Catálogo
+message	expressoMail1_2	es-es	Mensaje
+Message body	expressoMail1_2	es-es	Cuerpo del mensaje
+Message Font	expressoMail1_2	es-es	Fuente del Mensaje
+Max number of e-mails for page	expressoMail1_2	es-es	Número máximo de e-mails por página
+Max size	expressoMail1_2	es-es	Tamaño máximo
+View HTML source	expressoMail1_2	es-es	Ver código html
+Keep a copy of the message at your Inbox	expressoMail1_2	es-es	Guardar una copia del mensaje en su  Bandeja de Entrada
+Download manual	expressoMail1_2	es-es	Descargar manual
+justifycenter	expressoMail1_2	es-es	Centrar
+justifyfull	expressoMail1_2	es-es	Justificar
+Search user	expressoMail1_2	es-es	Buscar usuarios
+Link	expressoMail1_2	es-es	Enlace
+List	expressoMail1_2	es-es	Listar
+Loading	expressoMail1_2	es-es	Cargando
+Last	expressoMail1_2	es-es	última
+Less	expressoMail1_2	es-es	Menos
+Move to	expressoMail1_2	es-es	Mover para
+This message is already selected!	expressoMail1_2	es-es	Esta caja ya está en la selección!
+TO	expressoMail1_2	es-es	Para
+The folder was not deleted!	expressoMail1_2	es-es	¡La carpeta no fue removida!
+The size of this message has exceeded  the limit (%1B).	expressoMail1_2	es-es	El tamaño del mensaje sea há excedido el límite (mayor que %1B)
+Error compressing messages (ZIP). Contact the administrator.	expressoMail1_2	es-es	¡Error al comprimir los mensajes (ZIP)! Contacte al administrador
+Go back	expressoMail1_2	es-es	Volver
+unseen	expressoMail1_2	es-es	no leída
+Use F9 Key as shortcut.	expressoMail1_2	es-es	Use la tecla F9 como atajo
+Tools	expressoMail1_2	es-es	Herramientas
+Trash	expressoMail1_2	es-es	Papelera
+Undo	expressoMail1_2	es-es	Deshacer
+The list has no participant.	expressoMail1_2	es-es	Esta lista no posee ningún participante
+The message was deleted.	expressoMail1_2	es-es	Mensaje removido
+You didn't accepted yet	instant_messenger	es-es	Usted todavía no há aceptó
+The field \"Subject: \" of the message it contains	expressoMail1_2	es-es	El campo "Asunto:" del mensaje que contenga
+The field \"To: \" of the message it contains	expressoMail1_2	es-es	El campo "Para:" del mensaje que contenga
+Search the messages in these folders	expressoMail1_2	es-es	Busque mensajes en estas carpetas
+The origin folder and the destination folder are the same.	expressoMail1_2	es-es	La carpeta de origen y de destino son las mismas
+The size of the message is	expressoMail1_2	es-es	El tamaño del mensaje sea
+The message was moved to %1 folder.	expressoMail1_2	es-es	Mensaje enviado a la carpeta %1
+The messages were deleted.	expressoMail1_2	es-es	Mesajes removidos
+The messages were moved to %1 folder.	expressoMail1_2	es-es	Mensajes enviados a la carpeta %1
+Your Mailbox is 100% full! You must free more space or will not receive messages.	expressoMail1_2	es-es	¡Su caja de correo esta 100% llena! Libere espacio o no irá a recibir mensajes
+View tips	expressoMail1_2	es-es	Ver tips
+Your mailbox is shared with	expressoMail1_2	es-es	Su caja de correo esta compartida con 
+User not registered	instant_messenger	es-es	No está registrado
+You have %1 new	expressoMail1_2	es-es	Usted tiene%1 nuevo(s)
+You must wait while the messages will be exported...	expressoMail1_2	es-es	Espere mientras los mensajes son exportados...
+Your search argument must be longer than 4 characters.	expressoMail1_2	es-es	Sus palavras para la búsqueda deben tener más que 4 dígitos
+your session could not be verified.	expressoMail1_2	es-es	Su sesión expiró. Entre nuevamente a su Expresso
+Your Trash folder was empty.	expressoMail1_2	es-es	Su carpeta Papelera fue vaciada
+Your message has not been sent and will be discarted.	expressoMail1_2	es-es	Su mensaje no fue enviado y será perdido
+Your message was sent and save.	expressoMail1_2	es-es	Su mensaje fue enviado y guardado
+Your message was sent.	expressoMail1_2	es-es	Su mensaje fue enviado
+Filters	expressoMail1_2	es-es	Filtros
+Users	expressoMail1_2	es-es	Usuarios
+Do you really want to empty your trash folder?	expressoMail1_2	es-es	¿Esta seguro de que desea eliminar su papelera?
+User connected	instant_messenger	es-es	Esta conectado
+Click here to add into the fields	expressoMail1_2	es-es	Haga clic aquí para añadir en los espacios
+Write message	expressoMail1_2	es-es	Escribir mensaje
+wrote	expressoMail1_2	es-es	escribió
+Your message was save as draft in folder %1.	expressoMail1_2	es-es	Su mensaje fue guardado como borrador en la carpeta %1
+Add CC	expressoMail1_2	es-es	Añadir CC
+With the following message	expressoMail1_2	es-es	Con el siguiente mensaje
+New rule	expressoMail1_2	es-es	Nueva Regla
+Sector	expressoMail1_2	es-es	Sector
+Refresh	expressoMail1_2	es-es	Actualizar
+Save as Draft	expressoMail1_2	es-es	Guardar como Borrador
+Search in the Global Catalog	expressoMail1_2	es-es	Búsqueda en el Catálogo General
+Search Results	expressoMail1_2	es-es	Resultado de la búsqueda
+Send	expressoMail1_2	es-es	Enviar
+Send (without save)	expressoMail1_2	es-es	Enviar (sin archivar)
+Reply to	expressoMail1_2	es-es	Responder a
+Select a box:	expressoMail1_2	es-es	Elija una carpeta
+Select all messages.	expressoMail1_2	es-es	Seleccionar todos los mensajes
+Select the user	expressoMail1_2	es-es	Seleccionar al enviar el mensaje
+Check Spelling	expressoMail1_2	es-es	Corrector Ortográfico
+Save Draft	expressoMail1_2	es-es	Guardar Borrador
+Date	expressoMail1_2	es-es	Fecha
+Reply without history	expressoMail1_2	es-es	Responder sin detalles
+Result of the search	expressoMail1_2	es-es	Resultado de la búsqueda
+Search for Organization	expressoMail1_2	es-es	Buscar por Organización
+Search in Catalog	expressoMail1_2	es-es	Buscando en el Catálogo
+Select an organization and click on button <b>Search</b>	expressoMail1_2	es-es	Seleccione una Organización y haga clic en el Botón <b>Buscar</b>
+Save in Folder	expressoMail1_2	es-es	Guardar en la Carpeta
+Save sent messages in folder:	expressoMail1_2	es-es	Guardar automáticamente los mensajes enviados en la carpeta
+User not connected	instant_messenger	es-es	Esta desconectado
+Show previous message, after delete actual message?	expressoMail1_2	es-es	¿Mostrar mensaje anterior, luego de borrar mensaje actual?
+Size	expressoMail1_2	es-es	Tamaño
+Spam	expressoMail1_2	es-es	Marcar como espam
+Send this message without a subject?	expressoMail1_2	es-es	¿Enviar este mensaje sin asunto?
+Shared options saved with sucess	expressoMail1_2	es-es	Opciones de división guardadas con suceso
+Show default view on main screen	expressoMail1_2	es-es	Mostrar resumen del ExpressoMail en la pantalla inicial del Expresso
+Test Word: Hello %1 %2 %3 %4, Bye!	expressoMail1_2	es-es	Test de palabra: Hola: %1 %2 %3 %4. ¡Hasta Luego! 
+The field \"From:\" of the message it contains	expressoMail1_2	es-es	El campo "De:" del mensaje que contenga
+Write	expressoMail1_2	es-es	Escribir
+Status	expressoMail1_2	es-es	Estado
+Store at	expressoMail1_2	es-es	Archivar en 
+Subject	expressoMail1_2	es-es	Asunto
+Sender's Information	expressoMail1_2	es-es	Datos del Remitente
+Sent	expressoMail1_2	es-es	Enviado
+Send a rejection message	expressoMail1_2	es-es	Envíe un mensaje de rechazo
+Send and file	expressoMail1_2	es-es	Enviar y Archivar
+No Subject	expressoMail1_2	es-es	Sin Asunto
+Share mailbox	expressoMail1_2	es-es	Compartir carpetas
+normal	expressoMail1_2	es-es	normal
+Shared folders	expressoMail1_2	es-es	Carpetas compartidas
+Sent by	expressoMail1_2	es-es	Enviado por
+and save in	expressoMail1_2	es-es	y archivar em
+Service unavailable	expressoMail1_2	es-es	Servicio no disponible
+hlp_msg_delmov_acl	expressoMail1_2	es-es	Otros usuarios podrán ELIMINAR/MOVER sus mensajes
+Draft	expressoMail1_2	es-es	Borrador
+ExpressoMail settings	admin	es-es	Configuraciones del expresso Mail 1.2
+Answer messages from	expressoMail1_2	es-es	responder mensajes de
+Select on send	expressoMail1_2	es-es	Seleccionar al enviar el mensaje
+expressoMail1_2	expressoMail1_2	es-es	ExpressoMail 1.2
+Also check message against next rule	expressoMail1_2	es-es	Verificar mensaje contra próxima regla también
+Close	expressoMail1_2	es-es	Cerrar
+Drafts	expressoMail1_2	es-es	Borradores
+seen	expressoMail1_2	es-es	Leída
+Error moving or delete message: Message too large. Select one message by one.	expressoMail1_2	es-es	Error al mover o eliminar mensaje: Mensaje muy extenso. Seleccione uno por vez
+The results were found in the Global Catalog	expressoMail1_2	es-es	Eventos enontrados en el Catálogo General
+Answered	expressoMail1_2	es-es	Respondida
+Click here do view (+)	expressoMail1_2	es-es	Haga clic en la imagen para Ampliar
+Exclusion	expressoMail1_2	es-es	Exclusión
+Filters management	expressoMail1_2	es-es	Gerenciar Filtros
+Command for spam	admin	es-es	Comando que será ejecutado al marcar como spam
+alert_share_mail	expressoMail1_2	es-es	Atención: Esta acción de compartir tendrá acción en TODAS sus carpetas y mensajes
+Signature	expressoMail1_2	es-es	Firma
+Filters maintenance	expressoMail1_2	es-es	Manutención de Filtros
+Who	expressoMail1_2	es-es	Quién
+Download all atachments	expressoMail1_2	es-es	Descargar todos de una vez
+Coincident	expressoMail1_2	es-es	Coincidente
+message(s) deleted from your trash folder.	expressoMail1_2	es-es	Mensaje(s) eliminado(s) de su papelera
+File extension forbidden	expressoMail1_2	es-es	Extensión de archivo prohibido
+remove	expressoMail1_2	es-es	remover
+all	expressoMail1_2	es-es	todas
+Search	expressoMail1_2	es-es	Buscar
+files	expressoMail1_2	es-es	archivos
+CC	expressoMail1_2	es-es	Con Copia
+ENABLED	expressoMail1_2	es-es	Habilitada
+Enable Quick Reply	expressoMail1_2	es-es	Responder rápidamente (con detalles y al remitente)
+Call to Mobile Number	expressoMail1_2	es-es	Discar para Teléfono Comercial
+Enter with link URL:", "http://"	expressoMail1_2	es-es	Entre con la URL del enlace: ",http://"
+Chose the text you want transform in link before.	expressoMail1_2	es-es	Seleccione el texto que desea transformar en enlace
+Select the type of contact that you want to view	expressoMail1_2	es-es	Seleccione el tipo de contacto que desea ver
+Emails of the account	expressoMail1_2	es-es	E-mails de la cuenta
+underlined	expressoMail1_2	es-es	Subrayado
+Change folder	expressoMail1_2	es-es	Cambiar Carpeta
+Enable	expressoMail1_2	es-es	Habilitar
+CCo	expressoMail1_2	es-es	CCo
+Empty Trash	expressoMail1_2	es-es	Limpiar papelera
+attachment	expressoMail1_2	es-es	anexo
+BCC	expressoMail1_2	es-es	CCO
+Error in SMTP sending read confirmation.	expressoMail1_2	es-es	Error en el SMTP al enviar una confirmación de lectura
+Clean	expressoMail1_2	es-es	Limpiar
+During (days off the office)	expressoMail1_2	es-es	Durante (días fuera de la oficina)
+Attachments: add+	expressoMail1_2	es-es	Anexos: añadir
+Mark as	expressoMail1_2	es-es	Marcar como
+E-mail rule	expressoMail1_2	es-es	reglar del e-mail
+Edit folders	expressoMail1_2	es-es	Editar carpetas
+Edit filters	expressoMail1_2	es-es	Editar filtros
+Erase the message	expressoMail1_2	es-es	Elimine el mensaje
+Reply with history	expressoMail1_2	es-es	Responder con detalles
+Edit	expressoMail1_2	es-es	Editar
+Bold	expressoMail1_2	es-es	Negrita
+DISABLED	expressoMail1_2	es-es	Deshabilitada
+Access right	expressoMail1_2	es-es	Derechos de Acceso
+Forwarded	expressoMail1_2	es-es	Reenviada
+From	expressoMail1_2	es-es	Remitente
+A read confirmation was sent.	expressoMail1_2	es-es	Una confirmación de lectura fue enviada.
+Forwarded message	expressoMail1_2	es-es	Mensaje reenviada
+Forward	expressoMail1_2	es-es	Reenviar
+day(s)	expressoMail1_2	es-es	Día(s)
+Messages saved in %1 folder.	expressoMail1_2	es-es	Mensajes guardadas en la carpeta %1
+Define some criterion to the fields From, To and Subject with more than 3 characters!	expressoMail1_2	es-es	Defina algún critério para los campos De, Para, Asunto com más de 3 caracteres
+Action	expressoMail1_2	es-es	Acción
+Forward to the address	expressoMail1_2	es-es	Reenvíe para la dirección
+Define some search parameters!	expressoMail1_2	es-es	Defina algunos parámetros para la búsqueda
+Hide Search	expressoMail1_2	es-es	Ocultar Búsquedas
+Export	expressoMail1_2	es-es	Exportar
+None result was found.	expressoMail1_2	es-es	Ningún resultado fue encontrado
+hlp_msg_addcreate_acl	expressoMail1_2	es-es	Otros usuarios podrán CREAR/AÑADIR nuevos mensajes
+ search results	expressoMail1_2	es-es	resultados encontrados
+Global Catalog	expressoMail1_2	es-es	Catálogo General
+Disable	expressoMail1_2	es-es	Deshabilitar
+Warning: Your Mailbox is almost full!	expressoMail1_2	es-es	Aviso: ¡Su Caja de Correo está casi llena!
+hlp_msg_read_acl	expressoMail1_2	es-es	Otros usarios podrán LEER sus mensajes
+Hide Menu Folders	expressoMail1_2	es-es	Ocultar Menú Carpetas
+Delete trash messages after how many days?	expressoMail1_2	es-es	Eliminar mensajes después de cuantos días en la papelera?
+Save	expressoMail1_2	es-es	Guardar
+Font Size	expressoMail1_2	es-es	Tamaño de la Fuente en la lista de mensajes
+Folder	expressoMail1_2	es-es	Carpeta
+Do you wanna receive an alert for new messages?	expressoMail1_2	es-es	¿Usted quiere recibir um alerta para mensajes nuevos?
+Font	expressoMail1_2	es-es	Fuente
+Add user into my IM	expressoMail1_2	es-es	Añadir a mí IM
+Do you want to use the spam filter?	admin	es-es	¿A usted le gustaría utilizar el filtro anti-spam
+forecolor	expressoMail1_2	es-es	Color del texto
+Config for expressoMail1_2	expressoMail1_2	es-es	Configuraciones del expresso Mail 1.2
+Command for unmark spam	admin	es-es	Comando que será ejecutado al marcar como no siendo spam
+First	expressoMail1_2	es-es	Primera
+Add BCC	expressoMail1_2	es-es	Añadir Cco