Index: /trunk/expressoMail1_2/js/search.js
===================================================================
--- /trunk/expressoMail1_2/js/search.js	(revision 118)
+++ /trunk/expressoMail1_2/js/search.js	(revision 128)
@@ -411,5 +411,5 @@
 		fields += "##";
 		if(fields == "####"){
-			alert(get_lang("Define some parameters!"));
+			alert(get_lang("Define some search parameters!"));
 			return false;
 		}
@@ -474,5 +474,5 @@
 			div.style.position = "absolute";
 			div.style.zIndex = "10003";			
-			var title = get_lang(":: Search ::");
+			var title = ":: "+ get_lang("Search")+" ::";
 			var wHeight = div.offsetHeight + "px";
 			var wWidth =  div.offsetWidth   + "px";
Index: /trunk/expressoMail1_2/js/filters.js
===================================================================
--- /trunk/expressoMail1_2/js/filters.js	(revision 118)
+++ /trunk/expressoMail1_2/js/filters.js	(revision 128)
@@ -86,5 +86,5 @@
 			list += "<div id='set_rules'>";
 			for(var i=0; i < filter.rulest.length; i++){
-				list += "<input id=rule_"+i+" type='checkBox'>&nbsp;<img src='"+this.filter_img.src+"' width='16' height='16' border='0'>&nbsp;" + get_lang("Rule : ") + parseInt(i+1) + " -- " + this.vl_rule(filter.rulest[i],i) + "<br>";
+				list += "<input id=rule_"+i+" type='checkBox'>&nbsp;<img src='"+this.filter_img.src+"' width='16' height='16' border='0'>&nbsp;" + get_lang("Rule")+" : " + parseInt(i+1) + " -- " + this.vl_rule(filter.rulest[i],i) + "<br>";
 			}
 		}
Index: /trunk/expressoMail1_2/js/shortcut.js
===================================================================
--- /trunk/expressoMail1_2/js/shortcut.js	(revision 128)
+++ /trunk/expressoMail1_2/js/shortcut.js	(revision 128)
@@ -0,0 +1,345 @@
+/**
+ * http://www.openjs.com/scripts/events/keyboard_shortcuts/
+ * Version : 2.01.A
+ * By Binny V A
+ * License : BSD
+ */
+shortcut = {
+	'all_shortcuts':{},//All the shortcuts are stored in this array
+	'add': function(shortcut_combination,callback,opt) {
+		//Provide a set of default options
+		var default_options = {
+			'type':'keydown',
+			'propagate':false,
+			'disable_in_input':false,
+			'target':document,
+			'keycode':false
+		}
+		if(!opt) opt = default_options;
+		else {
+			for(var dfo in default_options) {
+				if(typeof opt[dfo] == 'undefined') opt[dfo] = default_options[dfo];
+			}
+		}
+
+		var ele = opt.target
+		if(typeof opt.target == 'string') ele = document.getElementById(opt.target);
+		var ths = this;
+		shortcut_combination = shortcut_combination.toLowerCase();
+
+		//The function to be called at keypress
+		var func = function(e) {
+			e = e || window.event;
+			
+			if(opt['disable_in_input']) { //Don't enable shortcut keys in Input, Textarea fields
+				var element;
+				if(e.target) element=e.target;
+				else if(e.srcElement) element=e.srcElement;
+				if(element.nodeType==3) element=element.parentNode;
+
+				if(element.tagName == 'INPUT' || element.tagName == 'TEXTAREA') return;
+			}
+	
+			//Find Which key is pressed
+			if (e.keyCode) code = e.keyCode;
+			else if (e.which) code = e.which;
+			var character = String.fromCharCode(code).toLowerCase();
+			
+			if(code == 188) character=","; //If the user presses , when the type is onkeydown
+			if(code == 190) character="."; //If the user presses , when the type is onkeydown
+	
+			var keys = shortcut_combination.split("+");
+			//Key Pressed - counts the number of valid keypresses - if it is same as the number of keys, the shortcut function is invoked
+			var kp = 0;
+			
+			//Work around for stupid Shift key bug created by using lowercase - as a result the shift+num combination was broken
+			var shift_nums = {
+				"`":"~",
+				"1":"!",
+				"2":"@",
+				"3":"#",
+				"4":"$",
+				"5":"%",
+				"6":"^",
+				"7":"&",
+				"8":"*",
+				"9":"(",
+				"0":")",
+				"-":"_",
+				"=":"+",
+				";":":",
+				"'":"\"",
+				",":"<",
+				".":">",
+				"/":"?",
+				"\\":"|"
+			}
+			//Special Keys - and their codes
+			var special_keys = {
+				'esc':27,
+				'escape':27,
+				'tab':9,
+				'space':32,
+				'return':13,
+				'enter':13,
+				'backspace':8,
+	
+				'scrolllock':145,
+				'scroll_lock':145,
+				'scroll':145,
+				'capslock':20,
+				'caps_lock':20,
+				'caps':20,
+				'numlock':144,
+				'num_lock':144,
+				'num':144,
+				
+				'pause':19,
+				'break':19,
+				
+				'insert':45,
+				'home':36,
+				'delete':46,
+				'end':35,
+				
+				'pageup':33,
+				'page_up':33,
+				'pu':33,
+	
+				'pagedown':34,
+				'page_down':34,
+				'pd':34,
+	
+				'left':37,
+				'up':38,
+				'right':39,
+				'down':40,
+	
+				'f1':112,
+				'f2':113,
+				'f3':114,
+				'f4':115,
+				'f5':116,
+				'f6':117,
+				'f7':118,
+				'f8':119,
+				'f9':120,
+				'f10':121,
+				'f11':122,
+				'f12':123
+			}
+	
+			var modifiers = { 
+				shift: { wanted:false, pressed:false},
+				ctrl : { wanted:false, pressed:false},
+				alt  : { wanted:false, pressed:false},
+				meta : { wanted:false, pressed:false}	//Meta is Mac specific
+			};
+                        
+			if(e.ctrlKey)	modifiers.ctrl.pressed = true;
+			if(e.shiftKey)	modifiers.shift.pressed = true;
+			if(e.altKey)	modifiers.alt.pressed = true;
+			if(e.metaKey)   modifiers.meta.pressed = true;
+                        
+			for(var i=0; k=keys[i],i<keys.length; i++) {
+				//Modifiers
+				if(k == 'ctrl' || k == 'control') {
+					kp++;
+					modifiers.ctrl.wanted = true;
+
+				} else if(k == 'shift') {
+					kp++;
+					modifiers.shift.wanted = true;
+
+				} else if(k == 'alt') {
+					kp++;
+					modifiers.alt.wanted = true;
+				} else if(k == 'meta') {
+					kp++;
+					modifiers.meta.wanted = true;
+				} else if(k.length > 1) { //If it is a special key
+					if(special_keys[k] == code) kp++;
+					
+				} else if(opt['keycode']) {
+					if(opt['keycode'] == code) kp++;
+
+				} else { //The special keys did not match
+					if(character == k) kp++;
+					else {
+						if(shift_nums[character] && e.shiftKey) { //Stupid Shift key bug created by using lowercase
+							character = shift_nums[character]; 
+							if(character == k) kp++;
+						}
+					}
+				}
+			}
+
+			if(kp == keys.length && 
+						modifiers.ctrl.pressed == modifiers.ctrl.wanted &&
+						modifiers.shift.pressed == modifiers.shift.wanted &&
+						modifiers.alt.pressed == modifiers.alt.wanted &&
+						modifiers.meta.pressed == modifiers.meta.wanted) {
+				callback(e);
+	
+				if(!opt['propagate']) { //Stop the event
+					//e.cancelBubble is supported by IE - this will kill the bubbling process.
+					e.cancelBubble = true;
+					e.returnValue = false;
+	
+					//e.stopPropagation works in Firefox.
+					if (e.stopPropagation) {
+						e.stopPropagation();
+						e.preventDefault();
+					}
+					return false;
+				}
+			}
+		}
+		this.all_shortcuts[shortcut_combination] = {
+			'callback':func, 
+			'target':ele, 
+			'event': opt['type']
+		};
+		//Attach the function with the event
+		if(ele.addEventListener) ele.addEventListener(opt['type'], func, false);
+		else if(ele.attachEvent) ele.attachEvent('on'+opt['type'], func);
+		else ele['on'+opt['type']] = func;
+	},
+
+	//Remove the shortcut - just specify the shortcut and I will remove the binding
+	'remove':function(shortcut_combination) {
+		shortcut_combination = shortcut_combination.toLowerCase();
+		var binding = this.all_shortcuts[shortcut_combination];
+		delete(this.all_shortcuts[shortcut_combination])
+		if(!binding) return;
+		var type = binding['event'];
+		var ele = binding['target'];
+		var callback = binding['callback'];
+
+		if(ele.detachEvent) ele.detachEvent('on'+type, callback);
+		else if(ele.removeEventListener) ele.removeEventListener(type, callback, false);
+		else ele['on'+type] = false;
+	}
+}
+
+/* ExpressMail Functions */
+shortcut.add("N",function(){ new_message("new","null"); },{'disable_in_input':true});
+shortcut.add("Esc",function(){ delete_border(get_msg_id(), 'false'); },{'disable_in_input':false});
+shortcut.add("I",function(){ exec_msg_action('print'); },{'disable_in_input':true});
+shortcut.add("E",function(){ exec_msg_action('forward'); },{'disable_in_input':true});
+shortcut.add("R",function(){ exec_msg_action('reply'); },{'disable_in_input':true});
+shortcut.add("Delete",function(){
+	if ( Element('border_id_0').className==='menu-sel' )
+	{
+		all_messages = Element('tbody_box').childNodes;
+		for (var i=0; i < all_messages.length; i++)
+		{
+			if (all_messages[i].style.backgroundColor != '')
+			{
+				delete_msgs('INBOX', all_messages[i].id, 'null');
+				return;
+			}
+		}
+	}
+	else
+		exec_msg_action('delete');
+}
+,{'disable_in_input':true});
+
+shortcut.add("Ctrl+Up",function(){ exec_msg_action('previous'); },{'disable_in_input':true});
+shortcut.add("Ctrl+Down",function(){ exec_msg_action('next'); },{'disable_in_input':true});
+
+shortcut.add("down",function(){ select_msg('null', 'down'); },{'disable_in_input':false});
+shortcut.add("up",function(){ select_msg('null', 'up'); },{'disable_in_input':false});
+
+shortcut.add("return",function(){
+	if ( Element('border_id_0').className==='menu-sel' )
+	{
+		all_messages = Element('tbody_box').childNodes;
+		for (var i=0; i < all_messages.length; i++)
+		{
+			if (all_messages[i].style.backgroundColor != '')
+			{
+				Element("td_who_" + all_messages[i].id).onclick();
+				return;
+			}
+		}
+	}
+}
+,{'disable_in_input':true});
+
+
+function exec_msg_action(action)
+{
+	var msg_id = get_msg_id();
+	if (msg_id)
+	{
+		var msg_id = 'msg_opt_' + action + '_' + msg_id;
+		try {Element(msg_id).onclick();}
+		catch(e){/*alert(e);*/}
+	}
+	return;
+}
+
+function get_msg_id()
+{
+	children = Element('border_tr').childNodes;
+	
+	for (var i=0; i<children.length; i++)
+	{
+		if ( (children[i].nodeName==='TD') && (children[i].className==='menu-sel') && children[i].id != 'border_id_0')
+		{
+			var border_selected = children[i];
+			var msg_id = border_selected.id.replace("border_id_","");
+			return msg_id;
+		}
+	}
+	return false;
+}
+
+function select_msg(msg_number, keyboard_action)
+{
+	if (msg_number != 'null')
+	{
+		var selected_msg = Element(msg_number);
+		all_messages = selected_msg.parentNode.childNodes;
+		for (var i=0; i < all_messages.length; i++)
+		{
+			if (all_messages[i].style.backgroundColor != '')
+			{
+				all_messages[i].style.color = '';
+				all_messages[i].style.backgroundColor = '';
+				break;
+			}
+		}
+		selected_msg.style.color = 'white';
+		selected_msg.style.backgroundColor = '#5194d2';
+	}
+	else
+	{
+		all_messages = Element('tbody_box').childNodes;
+		for (var i=0; i < all_messages.length; i++)
+		{
+			if (all_messages[i].style.backgroundColor != '')
+			{
+				if ( (keyboard_action == 'down') && (i+1 <= all_messages.length-1) )
+				{
+					all_messages[i].style.color = '';
+					all_messages[i].style.backgroundColor = '';
+				
+					all_messages[i+1].style.color = 'white';
+					all_messages[i+1].style.backgroundColor = '#5194d2';
+				}
+				else if ( (keyboard_action == 'up') && (i-1 >= 0) )
+				{
+					all_messages[i].style.color = '';
+					all_messages[i].style.backgroundColor = '';
+
+					all_messages[i-1].style.color = 'white';
+					all_messages[i-1].style.backgroundColor = '#5194d2';
+				}				
+				return;
+			}
+		}
+	}
+}
Index: /trunk/expressoMail1_2/js/sharemailbox.js
===================================================================
--- /trunk/expressoMail1_2/js/sharemailbox.js	(revision 118)
+++ /trunk/expressoMail1_2/js/sharemailbox.js	(revision 128)
@@ -243,5 +243,5 @@
 			div.style.height = "460px";
 			div.style.width = "540px";
-			var title = get_lang(":: Mailbox Sharing ::");
+			var title = ":: "+get_lang("Mailbox Sharing")+" ::";
 			var wHeight = div.offsetHeight + "px";
 			var wWidth =  div.offsetWidth   + "px";
Index: /trunk/expressoMail1_2/js/TreeS.js
===================================================================
--- /trunk/expressoMail1_2/js/TreeS.js	(revision 118)
+++ /trunk/expressoMail1_2/js/TreeS.js	(revision 128)
@@ -180,5 +180,5 @@
 		n_root.changeState();
 		if(opentomb != ""){folders_tree.openTo(opentomb);}
-		if(selected != ""){folders_tree.getNodeById(selected)._select();}
+		if(selected != "" && folders_tree.getNodeById(selected)){folders_tree.getNodeById(selected)._select();}
 
 	}
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 118)
+++ /trunk/expressoMail1_2/js/main.js	(revision 128)
@@ -70,4 +70,7 @@
 		//Change the tr color to read.
 		set_msg_class_to_read(msg_info['msg_number'], true);
+		
+		if (preferences.use_shortcuts == '1')
+			select_msg(msg_info.msg_number, 'null');
 		
 		if ((msg_info.DispositionNotificationTo) && ((msg_info.Unseen == 'U') || (msg_info.Recent == 'N'))){
@@ -141,4 +144,6 @@
 			msg_to_delete = Element(data.msgs_number[i]);
 			if (msg_to_delete){
+				if ( (msg_to_delete.style.backgroundColor != '') && (preferences.use_shortcuts == '1') )
+					select_msg('null', 'down');
 				mail_msg.removeChild(msg_to_delete);
 			}
@@ -188,4 +193,6 @@
 			msg_to_delete = Element(data.msgs_number[i]);
 			if (msg_to_delete){
+				if ( (msg_to_delete.style.backgroundColor != '') && (preferences.use_shortcuts == '1') )
+					select_msg('null', 'down');
 				mail_msg.removeChild(msg_to_delete);
 			}
@@ -315,7 +322,8 @@
 			body.contentWindow.document.write("<html><body bgcolor='#FFFFFF'></body></html>");
 			body.contentWindow.document.close();
-			body.contentWindow.focus();
 			body.contentWindow.document.designMode = "on";
 			body.contentWindow.focus();
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			msg_reply_from = document.createElement('input');
 			msg_reply_from.id = "msg_reply_from_" + new_border_ID;
@@ -335,4 +343,6 @@
 			body.contentWindow.document.designMode = "on";
 			body.contentWindow.focus();
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};			
 			msg_reply_from = document.createElement('input');
 			msg_reply_from.id = "msg_reply_from_" + new_border_ID;
@@ -358,4 +368,6 @@
 			body.contentWindow.document.designMode = "on";
 			body.contentWindow.focus();
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			msg_reply_from = document.createElement('input');
 			msg_reply_from.id = "msg_reply_from_" + new_border_ID;
@@ -382,4 +394,6 @@
 			body.contentWindow.document.designMode = "on";
 			body.contentWindow.focus();
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			msg_reply_from = document.createElement('input');
 			msg_reply_from.id = "msg_reply_from_" + new_border_ID;
@@ -417,4 +431,6 @@
 			body.contentWindow.document.close();
 			body.contentWindow.document.designMode = "on";
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			Element("to_" + new_border_ID).focus();
 			break;
@@ -442,4 +458,6 @@
 			body.contentWindow.document.close();
 			body.contentWindow.document.designMode = "on";
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			Element("to_" + new_border_ID).focus();
 			break;
@@ -465,4 +483,6 @@
 			body.contentWindow.document.designMode = "on";
 			body.contentWindow.focus();
+			if (is_ie)
+				body.contentWindow.document.onkeypress = function(){if(body.contentWindow.event.keyCode == 13){changeEnterKey(body.contentWindow)}};
 			break;
 		default:
@@ -483,4 +503,17 @@
 
 	Element("border_id_" + new_border_ID).innerHTML = "<table width=100% border=0 cellspacing=0 cellpadding=0><tr><td id=font_border_id_" + new_border_ID +" class='font-menu' width=*>" +title + "</td><td width=1px><img onmousedown='javascript:return false' style='cursor:pointer' onclick=delete_border('" + new_border_ID + "','false') src='templates/default/images/close_button.gif'></td></tr></table>";
+}
+
+// Change the tag <P> for the tag <BR> on IE
+function changeEnterKey(win) {
+	var oSel = win.document.selection.createRange();
+	oSel.pasteHTML("<br />");
+	win.event.cancelBubble = true;
+	win.event.returnValue=false;
+	oSel.select();
+	oSel.moveEnd("character",1);
+	oSel.moveStart("character",1);
+	oSel.collapse(false);
+	return false;
 }
 
Index: /trunk/expressoMail1_2/js/filter.js
===================================================================
--- /trunk/expressoMail1_2/js/filter.js	(revision 118)
+++ /trunk/expressoMail1_2/js/filter.js	(revision 128)
@@ -496,5 +496,5 @@
 				mount_rule += fld_men.value + "&&on ";
 			}else{
-				alert(get_lang("Inform the forwarding e-mail(s)!"));
+				alert(get_lang("Inform a forwarding e-mail!"));
 				return false;
 			}
Index: /trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- /trunk/expressoMail1_2/js/draw_api.js	(revision 118)
+++ /trunk/expressoMail1_2/js/draw_api.js	(revision 128)
@@ -403,4 +403,7 @@
 	}
 
+	if ((preferences.use_shortcuts == '1') && (headers_msgs[0]))
+		select_msg(headers_msgs[0].msg_number, 'null');
+
 	var tdFolders  =  Element("folderscol");
 	tdFolders.style.display = preferences.hide_folders == '1'  ? "none" : "";
@@ -674,4 +677,5 @@
 	next_previous_msg_td.width = "40px";
 	var img_next_msg = document.createElement("IMG");
+	img_next_msg.id = 'msg_opt_next_' + ID;
 	img_next_msg.src = './templates/default/images/down.button.png';
 	img_next_msg.title = get_lang('Next');
@@ -681,4 +685,5 @@
 	img_space.innerHTML = "&nbsp;";
 	var img_previous_msg = document.createElement("IMG");
+	img_previous_msg.id = 'msg_opt_previous_' + ID;
 	img_previous_msg.src = './templates/default/images/up.button.png';
 	img_previous_msg.title = get_lang('Previous');
@@ -776,4 +781,5 @@
 
 	var option_print = document.createElement("SPAN");
+	option_print.id = 'msg_opt_print_'+ID;
 	option_print.className = 'message_options';
 	option_print.onclick = function(){print_msg(info_msg.msg_folder,info_msg.msg_number,ID);};
@@ -782,4 +788,5 @@
 	options.appendChild(option_print);
 	var option_forward = document.createElement("SPAN");
+	option_forward.id = 'msg_opt_forward_'+ID;
 	option_forward.className = 'message_options';
 	option_forward.onclick = function(){new_message('forward', ID);};
@@ -788,4 +795,5 @@
 	options.appendChild(option_forward);
 	var option_reply = document.createElement("SPAN");
+	option_reply.id = 'msg_opt_reply_'+ID;
 	option_reply.className = 'message_options';
 	option_reply.onclick = function(){new_message('reply_with_history', ID);};
@@ -794,4 +802,5 @@
 	options.appendChild(option_reply);
 	var option_delete = document.createElement("SPAN");
+	option_delete.id = 'msg_opt_delete_'+ID;
 	option_delete.className = 'message_options';
 	option_delete.onclick = function(){delete_msgs(info_msg.msg_folder, info_msg.msg_number, ID);};
@@ -817,7 +826,7 @@
 
 	var option_mark_as						= '<span>'+get_lang("Mark as")+'</span>: ';
-	var option_mark_as_unseen				= '<span class="message_options" onclick="set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message markes as Unseen.')+'\');">'+get_lang("Unseen")+'</span>, ';
-	var option_mark_as_important			= '<span class="message_options" onclick="set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message markes as Important.')+'\');">'+get_lang("Important")+'</span>, ';
-	var option_mark_as_normal				= '<span class="message_options" onclick="set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message markes as Normal.')+'\');">'+get_lang("Normal")+'</span> | ';
+	var option_mark_as_unseen				= '<span class="message_options" onclick="set_messages_flag(\'unseen\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Unseen")+'.\');">'+get_lang("Unseen")+'</span>, ';
+	var option_mark_as_important			= '<span class="message_options" onclick="set_messages_flag(\'flagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Important")+'.\');">'+get_lang("Important")+'</span>, ';
+	var option_mark_as_normal				= '<span class="message_options" onclick="set_messages_flag(\'unflagged\','+info_msg.msg_number+');write_msg(\''+get_lang('Message marked as ')+get_lang("Normal")+'.\');">'+get_lang("Normal")+'</span> | ';
 	
 	var option_move							= '<span class="message_options" onclick=wfolders.makeWindow("'+ID+'","move_to");>'+get_lang("Move")+'</span> | ';
Index: /trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 118)
+++ /trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 128)
@@ -65,5 +65,5 @@
 
 			var butt = document.createElement('BUTTON');
-			var buttext = document.createTextNode(get_lang('OK'));
+			var buttext = document.createTextNode('OK');
 			butt.id = "QuickCatalogSearch_button_ok";
 			butt.appendChild(buttext);
@@ -293,5 +293,5 @@
 		
 		var handler_cc_contacts= function(data){
-			if(data.length > 0){
+			if(data && data.length > 0){
 				var aux = data.split(",");
 				for(var i=0; i< aux.length; i++){
@@ -303,5 +303,5 @@
 
 		var handler_cc_groups = function(data){
-			if(data.length > 0){
+			if(data && data.length > 0){
 				var aux = data.split(",");
 				for(var i=0; i < data.length; i++){
Index: /trunk/expressoMail1_2/js/TreeShow.js
===================================================================
--- /trunk/expressoMail1_2/js/TreeShow.js	(revision 118)
+++ /trunk/expressoMail1_2/js/TreeShow.js	(revision 128)
@@ -91,12 +91,11 @@
 			if(this.verify_names(aux2)){
 				if(func == "newpast")
-                                       if(aux2 == "INBOX"){alert(get_lang("It's not possible create inside : INBOX" ))}else{alert(get_lang("It's not possible create inside : ") + aux2)};
+                   alert(get_lang("It's not possible create inside")+ " : " + (aux2 == "INBOX" ? get_lang("INBOX"): aux2));
 				if(func == "rename")
-                                      if(aux2 == "INBOX"){alert(get_lang("It's not possible rename the folder : Caixa de Entrada" ))}else{alert(get_lang("It's not possible rename the folder : ") + aux2)};
+                   alert(get_lang("It's not possible rename the folder")+ " : " + (aux2 == "INBOX" ? get_lang("INBOX") : aux2));
 				return false;
 			}else{
 				if(func == "newpast"){
-                                       var button = prompt(get_lang("Enter the name of the new box :"),"");
-
+                    var button = prompt(get_lang("Enter the name of the new box :"),"");
 					if(trim(button) == "" || trim(button) == null){
 						return false;
@@ -107,12 +106,12 @@
 				if(func == "rename"){
 					if(ttree.FOLDER == "root"){
-                                               alert(get_lang("It's not possible rename this folder!"));
+	                	alert(get_lang("It's not possible rename this folder!"));
 						return false;
 					}
 					if(ttree.FOLDER == get_current_folder()){
-                                               alert(get_lang("It's not possible rename this folder becouse it is being used in the moment!"));
-						return false;
-					}
-                                       var button1 = prompt(get_lang("Enter a name for the box"), "");
+                        alert(get_lang("It's not possible rename this folder becouse it is being used in the moment!"));
+						return false;
+					}
+                    var button1 = prompt(get_lang("Enter a name for the box"), "");
 					if(trim(button1) == "" || trim(button1) == null){
 						return false;
@@ -123,5 +122,5 @@
 			}
 		}else{
-                        alert(get_lang("Select a folder"));
+            alert(get_lang("Select a folder!"));
 			return false;
 		}
@@ -135,10 +134,10 @@
 		
 		if(aux.length == 1 && aux[0] != "root"){
-                       alert(get_lang("It's not possible create inside : ") + aux[0]);
+            alert(get_lang("It's not possible create inside") + " : " + aux[0]);
 			newp = "";
 		}else{
 			if( aux[0] == "root"){
 				if(!this.verify(newp)){
-                                       alert(get_lang("Type without spaces, dots or special characters!"));
+                    alert(get_lang("Type without spaces, dots or special characters!"));
 					newp = "";
 					return false;
@@ -149,5 +148,5 @@
 			}else{
 				if(!this.verify(newp)){
-                                        alert(get_lang("Type without spaces, dots or special characters!"));
+                    alert(get_lang("Type without spaces, dots or special characters!"));
 					newp = "";
 					return false;
@@ -176,5 +175,4 @@
 	// Funcao para renomear a pasta;
 	Tree_Box.prototype.rename = function(rename){
-
 		var old_box  = ttree.FOLDER;
 		var aux = old_box.split(cyrus_delimiter);
@@ -182,19 +180,19 @@
 		
 		if(old_box == "root"){
-                       alert(get_lang("Select a folder"));
+            alert(get_lang("Select a folder!"));
 			return false;
 		}
 		if(aux.length == 1){
-                       alert(get_lang("It's not possible rename : ") + aux[0]);
+            alert(get_lang("It's not possible rename") + " : " + aux[0]);
 			rename = "";
 			return false;
 		}else{
 			if(this.verify_names(aux[1])){
-                               alert(get_lang("It's not possible rename : ") + aux[1]);
+                alert(get_lang("It's not possible rename") + " : " + aux[1]);
 				rename = "";
 				return false;
 			}else{
 				if(!this.verify(rename)){
-                                        alert(get_lang("Type without spaces, dots or special characters!"));
+                    alert(get_lang("Type without spaces, dots or special characters!"));
 					rename = "";
 					return false;
@@ -249,10 +247,10 @@
 		
 		if(aux.length == 1){
-                       alert(get_lang("It's not possible delete the folder Inbox"));		
+            alert(get_lang("It's not possible delete the folder ") + get_lang("Inbox"));
 			return false;
 		}else{
 			if(this.verify_names(aux[1])){
-                               alert(get_lang("It's not possible delete the folter ") + aux[1]);	 
-        			return false;
+	            alert(get_lang("It's not possible delete the folder ") + aux[1]);	 
+      			return false;
 			}else{
 				this.verify_children(ttree.FOLDER);
@@ -267,8 +265,8 @@
 
 		if(ttree.FOLDER == get_current_folder()){
-                      alert(get_lang("It's not possible rename this folder, it is begin in use at the moment!")); 
-			return false;
-		}
-               if(confirm(get_lang("Do you wish to erase the folder ") + aux1+ "?")){
+            alert(get_lang("It's not possible rename this folder, it is begin in use at the moment!")); 
+			return false;
+		}
+        if(confirm(get_lang("Do you wish to exclude the folder ") + aux1+ "?")){
 			var handler_return = function(data)
 			{		
@@ -279,5 +277,5 @@
 					ttree.FOLDER = "";
 					ttreeBox.update_folder();
-                                       alert(get_lang("The folder " + aux1 + get_lang(" was successfully erased")));					
+                    alert(get_lang("The folder %1 was successfully removed", aux1));
 				}
 			}
Index: /trunk/expressoMail1_2/js/preferences.js
===================================================================
--- /trunk/expressoMail1_2/js/preferences.js	(revision 83)
+++ /trunk/expressoMail1_2/js/preferences.js	(revision 128)
@@ -72,6 +72,7 @@
 				"<option value='11'>"+get_lang("Normal")+"</option>"+							
 				"<option value='15'>"+get_lang("Big")+"</option>"+
-				"</select></td>"+							
-				"</tr>"+
+				"</select></td></tr>"+
+				"<tr><td> - " + get_lang("Use shortcuts") + "?" + "</td>"+
+				"<td><input type='checkBox' id='check_use_shortcuts' name='check_use_shortcuts'></td></tr>"+
 				"<tr><td colspan='2'> - " + get_lang('Signature') + "<br>"+
 				"<textarea id='txt_signature' name='txt_signature' rows='3' cols='59'></textarea></td>"+
@@ -80,5 +81,5 @@
 				"<td align='left'><input type='button' value='"+get_lang("Save")+"' onclick='prefe.save_form()'>"+
 				"</tr>"+
-				"</table>";							
+				"</table>";
 			form_pref.appendChild(form);
 			var sel_nm = Element("sel_name_box");
@@ -129,4 +130,6 @@
 		var txt_signature = Element("txt_signature");
 			txt_signature.value = preferences.signature;
+		
+		if( preferences.use_shortcuts == 1){Element("check_use_shortcuts").checked = true;}
 	}
 	
@@ -147,4 +150,6 @@
 	    	reload_page = true;
 	    else if(preferences.font_size != Element("sel_size_font").value)
+			reload_page = true;
+	    else if(preferences.use_shortcuts != Element("check_use_shortcuts").checked)
 			reload_page = true;
 				
@@ -170,5 +175,7 @@
 		prefe_string += Element("sel_size_font").value + "##";
 		preferences.signature = Element("txt_signature").value;
-		prefe_string += url_encode(Element("txt_signature").value);
+		prefe_string += url_encode(Element("txt_signature").value) + "##";
+		preferences.check_use_shortcuts = Element("check_use_shortcuts").checked ? 1 : 0;
+		prefe_string += Element("check_use_shortcuts").checked ? "1":"0";
 		
 		var _this = this;
@@ -187,5 +194,4 @@
 	   	var params = "prefe_string="+prefe_string;
 	   	cExecute(args,handler_preferences,params);
-	
 	}	
 	//Fecha a janela
@@ -209,5 +215,5 @@
 		
 		if(! this.prefeW[div.id]) {
-			div.style.height = is_ie ? "345px" : "355px";
+			div.style.height = is_ie ? "355px" : "365px";
 			div.style.width = "510px";
 			div.style.visibility = "hidden";