Index: /trunk/instant_messenger/xsl/remove_user.xsl
===================================================================
--- /trunk/instant_messenger/xsl/remove_user.xsl	(revision 140)
+++ /trunk/instant_messenger/xsl/remove_user.xsl	(revision 140)
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+<xsl:output method="html" omit-xml-declaration="yes"/>
+
+<xsl:template match="/remove_user">
+		<div style="margin:20px 20px">
+			<span><b><xsl:value-of select="lang1"/> .: </b></span> 
+			<div style="margin-top:3px">
+				<select id="im_remove_contact"></select>
+				<span style="margin-left:7px">
+					<input type="button" value="{lang2}" onclick="javascript:im.remove_contact('im_remove_contact');"/>
+					<input type="button" value="{lang3}" onclick="javascript:buildIM.window_close('remove_user_im');"/>
+				</span>
+			</div>
+		</div>
+</xsl:template>
+
+</xsl:stylesheet>
Index: /trunk/instant_messenger/xsl/add_user.xsl
===================================================================
--- /trunk/instant_messenger/xsl/add_user.xsl	(revision 81)
+++ /trunk/instant_messenger/xsl/add_user.xsl	(revision 140)
@@ -3,49 +3,38 @@
 <xsl:output method="html" omit-xml-declaration="yes"/>
 
-<xsl:template match="/adduser">
- <html>
-  <head>
-  </head>
-  <body>
+<xsl:template match="adduser">
+
 	<div style="margin-left:5px;margin-top:5px">
-		<xsl:apply-templates select="top" />
+		<b><xsl:value-of select="top/lang1"/> .: </b>
+		<select id="im_ldap_ou" onchange="im.ldap_search_ou(this);"></select>
+		<span id="_span_load_im" style="background-color:#cc4444;color:white;display:none;position:absolute;right:5px;top:26px">Carregando .....</span>	
+		<select id="im_ldap_user" size="10" class="add_user" onclick="im.ldap_adduser(this);"></select>
 	</div>
-	<table border="0" cellpadding="1" cellspacing="2" style="margin-left:5px;margin-top:5px">
-	     <xsl:apply-templates select="bottom" />
+
+	<table border="0" cellpadding="1" cellspacing="2" class="add_user">
+		<tr>
+			<td class="add_user"><b><xsl:value-of select="table/lang1"/>.:</b></td>
+			<td><input id="text0" type="text" size="40" maxlength="40" readonly="true" class="add_user" /></td>		
+		</tr>
+		<tr>
+			<td class="add_user"><b><xsl:value-of select="table/lang2"/>.:</b></td>
+			<td><input id="text1" type="text" size="20" maxlength="20" class="add_user" /></td>		
+		</tr>
+		<tr>
+			<td class="add_user"><b><xsl:value-of select="table/lang3"/>.:</b></td>
+			<td><input id="text2" type="text" size="20" maxlength="20" class="add_user" /></td>		
+		</tr>
+		<tr>
+			<td><input id="text3" type="hidden" size="30" maxlength="30" /></td>
+		</tr>							
+		<tr>
+			<td colspan="2">
+				<input type="button" value="{table/lang4}" />
+				<input type="button" value="{table/lang5}" onclick="javascript:buildIM.window_close('add_user_im');" />
+				<span id="im_status_add" style="color:#f00;font-weight:bold;margin-left:10px;"></span>			
+			</td>
+		</tr>
    	</table>
- </body>
- </html>
-</xsl:template>
 
-<xsl:template match="top">
-	<b><xsl:value-of select="@lang1"/> .: </b>
-	<select id="ImSelOrg" name="ImSelOrg" onchange="IM_Preferences.SearchContacts();"></select>
-	<span id="_span_load_im" style="background-color:#cc4444;color:white;display:none;position:absolute;right:0px;top:0px">Carregando .....</span>	
-	<select size="10" id="ImSelAddContact" name="ImSelAddContact" class="add_user" onclick="IM_Preferences.preenche();"></select>
-</xsl:template>
-
-<xsl:template match="bottom">
-	<tr>
-		<td><b><xsl:value-of select="@lang1"/>.:</b></td>
-		<td><input id="text0" type="text" size="40" maxlength="40" readonly="true" /></td>		
-	</tr>
-	<tr>
-		<td><b><xsl:value-of select="@lang2"/>.:</b></td>
-		<td><input id="text1" type="text" size="20" maxlength="20" /></td>		
-	</tr>
-	<tr>
-		<td><b><xsl:value-of select="@lang3"/>.:</b></td>
-		<td><input id="text2" type="text" size="20" maxlength="20" /></td>		
-	</tr>
-	<tr>
-		<td><input id="text3" type="hidden" size="30" maxlength="30" /></td>
-	</tr>							
-	<tr>
-		<td colspan="2">
-			<input type="button" value="{@lang4}" onclick="javascript:IM_Preferences.Add_user('divAddUser_im');" />
-			<input type="button" value="Fechar" onclick="javascript:im_win.windowClose('divAddUser_im');"/>
-			<span id="im_status_add" style="color:#f00;font-weight:bold;margin-left:10px;"></span>			
-		</td>
-	</tr>
 </xsl:template>
 
Index: /trunk/instant_messenger/index.php
===================================================================
--- /trunk/instant_messenger/index.php	(revision 68)
+++ /trunk/instant_messenger/index.php	(revision 140)
@@ -25,5 +25,5 @@
 	$_SESSION['phpgw_info']['instant_messenger']['name_jabber'] 	      = $GLOBALS['phpgw_info']['server']['name_jabber'];
 	$_SESSION['phpgw_info']['instant_messenger']['port_jabber'] 	      = $GLOBALS['phpgw_info']['server']['port_jabber'];
-	$_SESSION['phpgw_info']['instant_messenger']['resource_jabber']       = $GLOBALS['phpgw_info']['server']['resource_jabber'];
+	$_SESSION['phpgw_info']['instant_messenger']['resource_jabber']      = $GLOBALS['phpgw_info']['server']['resource_jabber'];
 
 	// Conf. Ldap
@@ -32,5 +32,5 @@
 	$_SESSION['phpgw_info']['instant_messenger']['user_ldap_jabber']      = $GLOBALS['phpgw_info']['server']['user_ldap_jabber'];
 	$_SESSION['phpgw_info']['instant_messenger']['password_ldap_jabber']  = $GLOBALS['phpgw_info']['server']['password_ldap_jabber'];	
-	$_SESSION['phpgw_info']['instant_messenger']['size_file_jabber']  	  = $GLOBALS['phpgw_info']['server']['size_file_jabber'];	
+	$_SESSION['phpgw_info']['instant_messenger']['size_file_jabber']  	 = $GLOBALS['phpgw_info']['server']['size_file_jabber'];	
 	
 	$_SESSION['phpgw_info']['instant_messenger']['server']['db_name'] = $GLOBALS['phpgw_info']['server']['db_name'];